#
# spec file for package yast2-runlevel (Version 2.13.11)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libicu libidn libmudflap libnscd libpng libstdc++ libtool libusb libxcrypt libxml2 libxslt liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-runlevel
Version:        2.13.11
Release:        0.11
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-runlevel-2.13.11.tar.bz2
prefix:		/usr
BuildRequires:  docbook-style-xsl doxygen libxslt perl-XML-Writer sgml-common update-desktop-files yast2 yast2-devtools yast2-testsuite suse-macros autoconf automake libtool gettext-devel
Requires:       yast2
Provides:       yast2-config-runlevel
Obsoletes:      yast2-config-runlevel
Provides:       yast2-trans-runlevel
Obsoletes:      yast2-trans-runlevel
BuildArchitectures:     noarch
Summary:        YaST2 - Runlevel Editor

%description
This package allows you to specify which services will be run at system
boot.



Authors:
--------
    Petr Blahos <pblahos@suse.cz>
    Martin Vidner <mvidner@suse.cz>
    Martin Lazar <mlazar@suse.cz>

%prep
%setup -n yast2-runlevel-2.13.11

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/runlevel.desktop
%dir /usr/share/YaST2/scrconf
/usr/share/YaST2/scrconf/insserv_conf.scr
%dir /usr/share/YaST2/clients
/usr/share/YaST2/clients/runlevel.ycp
/usr/share/YaST2/clients/runlevel_auto.ycp
/usr/share/YaST2/clients/runlevel_proposal.ycp
/usr/share/YaST2/clients/runlevel_finish.ycp
%dir /usr/share/YaST2/include/runlevel
/usr/share/YaST2/include/runlevel/*.ycp
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/RunlevelEd.ycp
/usr/share/YaST2/modules/RunlevelEd.ybc
/usr/share/YaST2/schema/autoyast/rnc/runlevels.rnc
%doc %{prefix}/share/doc/packages/yast2-runlevel

%changelog
* Fri Oct 27 2006 - locilka@suse.cz
- Added runlevels.rnc for AutoYaST profile validation (#215248).
- 2.13.11
* Tue Sep 26 2006 - locilka@suse.cz
- Added new marvelous help for runlevel in installation proposal
  thanks to rwalter (bug #206664, comment #8).
- 2.13.10
* Tue Sep 19 2006 - locilka@suse.cz
- In VNC installation, users are warned that VNC would not work
  properly unless they select runlevel 5.
- In SSH installation, users are warned that SSH needs a network
  mode if they select runlevel 2 (both #166918).
- Runlevel proposal has been rewritten to operate in a full-screen
  mode instead of a popup window only (#206664).
- Function getDefaultPicker has been moved from ui.ycp into the
  RunlevelEd module to work faster.
- Fixed testsuite for moved getDefaultPicker function.
- 2.13.9
* Wed May 10 2006 - locilka@suse.cz
- Redirecting stdout and stderr into the temporary file when
  checking the service status using the .background agent.
  There was a buggy behavior for some services that were checked
  wrong - unifying all calls (#173418).
- 2.13.8
* Tue Apr 04 2006 - locilka@suse.cz
- Preventing from frozen runlevel editor when an init script
  freezes during the manual start/stop/reread_status using the
  timeout functionality (#160881).
- 2.13.7
* Thu Mar 23 2006 - locilka@suse.cz
- Added checking for root permissions into the module startup
  process (#158483)
- 2.13.6
* Mon Feb 20 2006 - locilka@suse.cz
- Fixing #149071, Installation over SSH will set the default
  runlevel to "3" because no X-configuration is offered during the
  second stage installation.
- Replacing RPM BuildRequires (yast2-devel-packages) with list of
  needed packages.
- 2.13.5
* Fri Jan 13 2006 - ug@suse.de
- Fixing bug/enhancement #137800
  proposal does not set the runlevel now in autoinstall
- 2.13.4
* Thu Jan 12 2006 - locilka@suse.cz
- Reverting the previous change, will be solved in the
  autoinstallation itself.
- 2.13.3
* Tue Jan 10 2006 - locilka@suse.cz
- Fixing bug/enhancement #137800
  Adding a feature to reinitialize to the selected default runlevel
  during the autoinstallation in the runlevel's Write() process
  by calling (`/sbin/telinit q`).
- 2.13.2
* Thu Jan 05 2006 - locilka@suse.cz
- Preventing runlevel editor from getting stuck (#129679) by using
  function Service::RunInitScriptWithTimeOut() instead of using
  Service::RunInitScript()
- Enabling [Abort] button, Disabling [Back] button to match the
  real functionality of dialogs
- 2.13.1
* Tue Nov 01 2005 - locilka@suse.cz
- fixed bug #129679, Speeding up reading the services' status by
  reading only services which are listed there.
  Switching to another mode would reread statuses which hadn't been
  read before.
- 2.13.0
* Thu Aug 18 2005 - locilka@suse.cz
- Proposal should not return any `nil` as the value of the warning
  and warning_level key (bug #105154).
- 2.12.4
* Wed Aug 03 2005 - locilka@suse.cz
- new maintainer
- fixed bug #74582, descrption wasn't fully readable
- 2.12.3
* Wed Jun 15 2005 - mlazar@suse.cz
- 2.12.2
- addeded runlevel_finish.ycp
* Mon May 09 2005 - mlazar@suse.cz
- 2.12.1
- avoid using keyword default as variable name
* Wed Apr 20 2005 - mlazar@suse.cz
- 2.12.0
- adapted to new interface of ProductFeatures.ycp
* Fri Mar 04 2005 - mlazar@suse.cz
- merged proofed texts
* Mon Feb 21 2005 - mlazar@suse.cz
- fixed bug 65733: runlevel editor does not work in autoyast interface
- 2.11.7
* Tue Feb 08 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.6
* Thu Feb 03 2005 - mlazar@suse.cz
- 2.11.5
- fixed bug 50266 - TAB doesn't work in system services (runlevel)
* Mon Jan 31 2005 - mlazar@suse.cz
- 2.11.4
* Fri Jan 28 2005 - mlazar@suse.cz
- fixed agent: don't dump error msg if service script isn't readable
* Wed Jan 26 2005 - mlazar@suse.cz
- fixed typing error: Coma -> Comma
* Wed Jan 26 2005 - mlazar@suse.cz
- improved command line
* Tue Jan 25 2005 - mlazar@suse.cz
- Progress::on()/off() replaced with Progress::set()
* Fri Jan 21 2005 - mlazar@suse.cz
- 2.11.3
- adapted testsuites
* Wed Jan 19 2005 - mlazar@suse.cz
- added command line
* Wed Jan 12 2005 - mlazar@suse.cz
- fixed #36178 - status of services not correctly displayed after runlevel change
* Wed Jan 12 2005 - mlazar@suse.cz
- fixed #49731 - runlevel does not work in autoyast
* Thu Jan 06 2005 - mlazar@suse.cz
- fixed #43342 - Rename the editor to "System Services (Runlevel)"
* Tue Nov 16 2004 - mlazar@suse.cz
- fixed #46793 - Runlevel selection in Network Proposal
* Wed Nov 03 2004 - mvidner@suse.cz
- Fixed a type error.
- Replaced lookups by []:
- 2.11.2
* Tue Nov 02 2004 - visnov@suse.cz
- Adapted to new Mode:: and Linuxrc:: interface
- 2.11.1
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to new Arch:: interface
- 2.11.0
* Fri Sep 03 2004 - mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904).
- Base installation proposal on xorg-x11, not XFree86 (#43832, nashif)
- 2.10.1
* Fri Jul 30 2004 - mvidner@suse.cz
- Override proposal if ProductFeatures::runlevel is set (nashif).
* Thu Jun 17 2004 - mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Sat May 22 2004 - nashif@suse.de
- Always export runlevel for autoyast (#41340)
- Make runlevel clonable for use with autoyast (#41340)
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.13
* Fri Mar 26 2004 - mvidner@suse.cz
- really offer runlevels 2, 3, 5 during installation (#37071)
- 2.9.12
* Tue Mar 23 2004 - mvidner@suse.cz
- propose runlevel 5 when doing a VNC installation (#31004)
- 2.9.11
* Mon Mar 22 2004 - mvidner@suse.cz
- offer runlevels 2, 3, 5 (#36110)
- read status of all services (#36166)
- update status of all dependent services before we check it
  (#36171, jhumpol)
- don't enable a service if it can't be started (#36176, jhumpol)
- 2.9.10
* Fri Mar 12 2004 - mvidner@suse.cz
- repropose only if the conditions have changed (#35601)
- added a wizard icon (jhumpol)
- use Sequencer
- 2.9.9
* Mon Mar 08 2004 - mvidner@suse.cz
- do not cache the proposal of the default run level (#35292)
- using Service instead of Runlevel
- 2.9.8
* Sun Mar 07 2004 - kkaempf@suse.de
- fix testsuite
* Tue Mar 02 2004 - nashif@suse.de
- Type info fixes
- Fixed autoyast summary message
- 2.9.5
* Mon Feb 16 2004 - nashif@suse.de
- Fixed proposal formatting
- 2.9.4
* Mon Feb 16 2004 - mvidner@suse.cz
- added a proposal for the default run level (msvec, #30028)
- 2.9.3
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Thu Feb 05 2004 - lslezak@suse.cz
- NI fixes
- build fixes
- version 2.9.1
* Thu Nov 20 2003 - lslezak@suse.cz
- use UI:: file popup
- version 2.9.0
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Tue Sep 02 2003 - nashif@suse.de
- Added function Packages
- Turn progress bar off early enough
- 2.8.7
* Thu Aug 14 2003 - jsuchome@suse.cz
- removed "succes popup" (#28729)
- 2.8.6
* Tue Aug 12 2003 - lslezak@suse.de
- Finish button
- Enable/Disable buttons (consistent with table header)
  instead of Activate/Deactivate
- version 2.8.5
* Mon Aug 11 2003 - lslezak@suse.de
- merged proofread texts
- version 2.8.4
* Mon Aug 04 2003 - mvidner@suse.de
- Added desktop file (supersedes y2cc file).
- 2.8.3
* Thu Jul 24 2003 - mvidner@suse.cz
- Added help for the main dialog.
- Hid a debugging menu item.
- 2.8.2
* Fri Jun 20 2003 - mvidner@suse.cz
- Added a simple mode, made it the default dialog (#13789).
- Fix service_status=enable in autoyast (#27169).
- Autoyast: allow not changing the runlevel.
- Strange runlevels do not overwrite service name (#25776).
- Call insserv with force when writing, report errors (#27370).
- using Label and Popup
- 2.8.1
* Wed Mar 12 2003 - mvidner@suse.de
- Do not export empty values to autoyast (#25191).
- 2.7.3
* Mon Feb 17 2003 - mvidner@suse.de
- Fixed the success popup after enabling all services (#23663).
- 2.7.2
* Wed Feb 12 2003 - mvidner@suse.de
- Changed _auto::Result to Export (nashif).
- Reset variables correctly during Import.
* Mon Jan 20 2003 - mvidner@suse.de
- Using the new *_auto dispatcher (nashif).
- 2.7.1
* Fri Jan 17 2003 - mvidner@suse.de
- Show the short description in the table and the long one
  in a box below (#20853).
- Make it possible to disable a service in the boot run level (#21214).
- Added function key shortcuts in ncurses.
- 2.7.0
* Thu Sep 26 2002 - nashif@suse.de
- Fix: ServiceInfo is part of the Runlevel module
- 2.6.16
* Sat Sep 07 2002 - nashif@suse.de
- added 'service_status' to enable/disable a service with default
  runlevels
* Sun Aug 11 2002 - mvidner@suse.cz
- Let the table keep the keyboard focus (#16116 workaround).
- Testsuite adapted to Runlevel changes due to #17608.
- 2.6.14
* Wed Jul 31 2002 - mvidner@suse.cz
- Do not enable boot services in ordinary runlevels (#17234).
- Moved private code back from yast2.rpm.
- WM close button means abort.
- Added comments for translators.
- 2.6.13
* Thu Jul 25 2002 - arvin@suse.de
- fixed file list
* Wed Jul 24 2002 - jsuchome@suse.cz
- Files used by other modules moved to yast2/runlevel
* Fri Jul 19 2002 - mvidner@suse.cz
- Merged proofread texts.
- 2.6.11
* Thu Jul 18 2002 - mvidner@suse.cz
- Dependencies: filter out optional (+) system services (#16966).
- 2.6.10
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 12 2002 - mvidner@suse.cz
- Fixed dependencies, using devtools 2.6.6.
- 2.6.8
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 - mvidner@suse.cz
- Renamed to "yast2-runlevel".
- 2.6.5
* Thu Jun 27 2002 - mvidner@suse.cz
- Implemented service dependency resolving (except autoyast part).
- Adapted for new autoinstallation interface (nashif).
- Agent reads all LSB and X-*-Should-* comments.
- Code cleanup: duplicate local functions factored out.
- Using current yast2-devtools: menuentries -> config, pot included.
- 2.6.4
* Mon May 13 2002 - mvidner@suse.cz
- Testsuite fixed.
- Code cleanup (new maintainer).
- 2.6.3
* Thu Apr 18 2002 - pblahos@suse.cz
- Works with automake-1.6.1
* Tue Apr 16 2002 - pblahos@suse.cz
- Fixed: insserv -r service must be called before
  insserv service,start=X,Y,Z because the latter only added service
  to selected runlevels. (Bug #15694)
- Fixed: multiple <p> in one string reported by check_ycp
- Fixed: undefined or undocumented return values reported by ycpdoc
* Mon Apr 08 2002 - pblahos@suse.cz
- When writting changes, label for progress bar tells
  "Skipped servicename" for unchanged services. (Bug #15674)
- Now there are buttons for service enabling and disabling. Button
  to reset to the state after installation was removed -- we have no
  idea what the state after installation was.
- Fixed double bullets in help text.
- Portmap isn't forced to run. There is only question if user really
  doesn't want to run it in case it is needed. (Bug #15260)
* Thu Mar 21 2002 - pblahos@suse.cz
- Check for collision of inetd and xinetd didn't work. (Bug #15266)
* Wed Mar 13 2002 - pblahos@suse.cz
- Improved spaces between checkboxes in details dialog. (Bug #14942)
* Tue Mar 12 2002 - pblahos@suse.cz
- Added warning when user selects both inetd and xinetd. (Bug #14840)
* Thu Mar 07 2002 - pblahos@suse.cz
- Flickering in ncurses mode was fixed by removing ReplaceWidget
  call (Bug #14534)
* Wed Mar 06 2002 - pblahos@suse.cz
- _auto module returns $[] if there is no change (Back or Abort
  pressed) (Bug #14526)
* Wed Feb 13 2002 - pblahos@suse.cz
- Fixed typo (Runlevels 0 - S --> B - S)
* Fri Feb 01 2002 - pblahos@suse.cz
- portmap is not enabled for nfsserver only but for any service
  that requires it (Bug #12985)
- After service is started/stopped/refreshed, its status is
  correctly displayed now. (Bug #12964)
* Thu Jan 24 2002 - pblahos@suse.cz
- Added runlevel B (which selection as a default runlevel is
  forbiden by UI)
- menuentry...y2cc goes into the package instead of menuentry....ycp
* Tue Dec 11 2001 - pblahos@suse.cz
- Added dialog for adding services in _auto mode.
* Thu Dec 06 2001 - pblahos@suse.cz
- Added modules _auto and _write because of autoinstallation.
- When nfsserver is enabled but portmap not, enables portmap too.
* Mon Dec 03 2001 - pblahos@suse.cz
- Uses y2autoconf and create-spec
* Thu Nov 29 2001 - pblahos@suse.cz
- New function ServiceEnabled.
- Added 3rd parameter to select to satisfy new libycp.
* Tue Nov 27 2001 - pblahos@suse.cz
- Removed START_ variables.
- Migrated to module.
* Fri Nov 16 2001 - pblahos@suse.cz
- Uses three parameters for lookups.
* Wed Nov 07 2001 - pblahos@suse.cz
- Fixed duplicate keyboard shortcut: &Start/Stop/Refresh,
  Runlevel &S (Bug 12196)
* Tue Nov 06 2001 - pblahos@suse.cz
- If service start/stop/status was unsuccessful (!=0), shows
  textual description of exit value.
- If service start/stop was unsuccessful, it shows its state as
  not running.
* Tue Oct 23 2001 - pblahos@suse.cz
- Uses new module Progress.
* Tue Oct 16 2001 - pblahos@suse.cz
- Migrated to y2devtools
* Thu Sep 20 2001 - gs@suse.de
- new icon for YaST2 Control Center
* Mon Sep 17 2001 - pblahos@suse.cz
- When there are no changes, pressing Finish, causes exit without
  word. (Bug 10677)
* Mon Sep 10 2001 - lnussel@suse.de
- moved icon in Control Center from Group "Misc" to "System"
  (Bug #10256)
* Mon Sep 10 2001 - pblahos@suse.cz
- skips boot.orig
* Fri Sep 07 2001 - pblahos@suse.cz
- Use insserv -r service to remove service from all runlevels.
- Sets proper START_ variable to "no" when disabling service.
  (Bug 10209)
* Thu Sep 06 2001 - pblahos@suse.cz
- runlevel_adjust implements function `ask, that says whether
  service is disabled or enabled.
- .init.script.comment agent fixed. (Bug 10209)
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Tue Aug 21 2001 - pblahos@suse.cz
- Some texts fixed.
- START_CUPS is yes by default
- fbset does not use START_FBSET
- fixed typo in init script agent
- comment to runlevel_adjust improved
- now there is normal cursor when service status is beeing read
- start/stop service works
* Fri Aug 17 2001 - pblahos@suse.cz
- bunch on new test cases
* Mon Aug 13 2001 - pblahos@suse.cz
- Replaced spaces by tabs.
- Replaced: SCR (` by SCR:: and UI (` by UI::
- hotplug replaced usbmgr in starts.ycp lists.
* Wed Aug 08 2001 - pblahos@suse.cz
- runlevel_adjust: new module for adjusting service startup.
* Tue Aug 07 2001 - pblahos@suse.cz
- First test cases.
- Fixed: ag_initscripts agent did not work if there were
  mis-formated init scripts.
* Mon Aug 06 2001 - pblahos@suse.cz
- Add documentation to package.
- Most of the system interaction moved to agent.
* Fri Aug 03 2001 - pblahos@suse.cz
- Completed in-line comments.
- [Abort now] checks if there are changes before asking.
- Faster reading of init script comments and runlevel contents.
* Thu Aug 02 2001 - pblahos@suse.cz
- Improvements to UI and functionality.
- Uses new insserv to save changes to runlevels.
* Mon Jul 30 2001 - pblahos@suse.cz
- Saves default runlevel.
- Slightly faster reading of service descriptions.
- strings for popup with differences to current state added.
* Fri Jul 27 2001 - pblahos@suse.cz
- user interface finalized
* Mon Jul 23 2001 - pblahos@suse.cz
- initial version
